# BEGIN SourceDeps(oneline):
BuildRequires: perl(Socket.pm)
# END SourceDeps(oneline)
%define oldname atmel-firmware
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define usb_version 0.1

Name:           firmware-atmel-at76c50x
Version:        1.3
Release:        alt1_19
Summary:        Firmware for Atmel at76c50x wireless network chips

Group:          System/Kernel and hardware
License:        Redistributable, no modification permitted
URL:            http://at76c503a.berlios.de/
Source0:        http://www.thekelleys.org.uk/atmel/atmel-firmware-%{version}.tar.gz
Source1:        http://download.berlios.de/at76c503a/at76_usb-firmware-%{usb_version}.tar.gz
BuildArch:      noarch
    
Obsoletes:      at76_usb-firmware < %{usb_version}
Provides:       at76_usb-firmware = %{usb_version}
Source44: import.info

%description
The drivers for Atmel at76c50x wireless network chips in the Linux 2.6.x kernel 
but do not include the firmware.
This firmware needs to be loaded by the host on most cards using these chips.


%prep
%setup -n %{oldname}-%{version} -q 
%setup -n %{oldname}-%{version} -q -D -T -a 1 
install -pm 0644 at76_usb-firmware-%{usb_version}/COPYRIGHT COPYRIGHT-usb
install -pm 0644 at76_usb-firmware-%{usb_version}/README README-usb
for i in COPYING README COPYRIGHT-usb README-usb; do
install -pm 0644 ${i} ${i}.%{oldname}
rm  ${i}
ln -sf /lib/firmware/${i}.%{oldname} ${i}
done

%build
# Nothing to build

%install

mkdir -p $RPM_BUILD_ROOT/lib/firmware

install -pm 0644 images/*.bin $RPM_BUILD_ROOT/lib/firmware
#install -m 0644 images.usb/* $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 at76_usb-firmware-%{usb_version}/*.bin $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.%{oldname} $RPM_BUILD_ROOT/lib/firmware


%files
%doc --no-dereference COPYING README COPYRIGHT-usb README-usb VERSION
/lib/firmware/*


%changelog
* Tue Sep 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_19
- fixed build

* Tue Feb 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_10
- initial fc import

